 25-akpm/arch/i386/lib/kgdb_serial.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/lib/kgdb_serial.c~irqreturn-kgdb-ga arch/i386/lib/kgdb_serial.c
--- 25/arch/i386/lib/kgdb_serial.c~irqreturn-kgdb-ga	Mon Apr 21 13:30:40 2003
+++ 25-akpm/arch/i386/lib/kgdb_serial.c	Mon Apr 21 13:31:27 2003
@@ -171,7 +171,7 @@ write_char(struct async_struct *info, in
  * care to learn can make this work for any low level serial
  * driver.
  */
-static void
+static irqreturn_t
 gdb_interrupt(int irq, void *dev_id, struct pt_regs *regs)
 {
 	struct async_struct *info;
@@ -179,7 +179,7 @@ gdb_interrupt(int irq, void *dev_id, str
 
 	info = gdb_async_info;
 	if (!info || !info->tty || irq != gdb_async_irq)
-		return;
+		return IRQ_NONE;
 
 	local_irq_save(flags);
 	spin_lock(&uart_interrupt_lock);
@@ -203,7 +203,7 @@ gdb_interrupt(int irq, void *dev_id, str
 	} while (inb_p(info->port + UART_IIR) & UART_IIR_RDI);
 	spin_unlock(&uart_interrupt_lock);
 	local_irq_restore(flags);
-
+	return IRQ_HANDLED;
 }				/* gdb_interrupt */
 
 /*

_
